<template>
  <div :class="$vuetify.breakpoint.mdAndDown ? '' : 'pa-12'">
    <v-row align="center" justify="space-between">
      <v-col cols="12">
        <h1 class="text-center allh1-headline">
          {{ $t('htmProduct.htm') }}
        </h1>
      </v-col>
      <v-col cols="12" md="9" :class="$vuetify.breakpoint.mdAndDown ? '' : 'pl-12'">
        <div
          :class="
            $vuetify.breakpoint.mdAndDown
              ? 'text-center global-box-view'
              : 'global-box-view'
          "
        >
          <h2>
            {{ $t('htmProduct.whatIsHtm.title') }}
          </h2>
          <p>
            {{ $t('htmProduct.whatIsHtm.description') }}
          </p>
        </div>
      </v-col>
      <v-col cols="12" md="3" :class="$vuetify.breakpoint.mdAndDown ? '' : 'pr-6'">
        <div>
          <v-img
            :src="require('../../../assets/images/product/htmwhat.svg')"
            :srcset="require('../../../assets/images/product/htmwhat.svg')"
            :lazy-src="require('../../../assets/images/product/htmwhat.svg')"
            contain
          ></v-img>
        </div>
      </v-col>
      <v-col cols="12" class="mt-10 pa-8">
        <List :data="dataGiven.items" />
        <v-row justify="center" align="center">
          <v-col cols="12" md="10">
            <List :data="dataGiven.pageSpeed" />
          </v-col>
        </v-row>
      </v-col>
    </v-row>
    <v-row justify="center" align="center">
      <v-col cols="12" md="8">
        <v-alert
          text
          dense
          color="teal"
          icon="mdi-clock-fast"
          border="left"
          class="mt-3 mb-3 text-center"
        >
          <span :class="$vuetify.breakpoint.smAndDown ? 'caption' : ''">
            این ماژول چندین زیر ماژول دیگر نیز دارد که از طریق پیوند
            <a
              class="ltr-me"
              href="https://www.modpagespeed.com/doc/"
              target="_blank"
              rel="noopener noreferrer"
            >
              https://www.modpagespeed.com/doc
            </a>
            قابل مشاهده است
          </span>
        </v-alert>
      </v-col>
    </v-row>
  </div>
</template>
<script>
export default {
  name: 'HtmWhat',
  props: {
    dataGiven: {
      type: Object,
      required: true,
    },
  },
};
</script>
